<?php
	class PDO_Newsletter
	{
		private $monPdo;
		const SERVEUR_SQL = "172.16.1.15";
		const BDD = "PUGEATPPE";
		const USER = "PUGEATPPE";
		const MDP = "ParRespectPourLesPierres";

		function __construct()
		{
			$this->monPdo = new PDO('mysql:host='.self::SERVEUR_SQL.';dbname='.self::BDD, self::USER, self::MDP);
		}

		function Newsletter_SelectTout()
		{
			$reponse = $this->monPdo->query('SELECT * FROM Newsletter');
			$tableauReponse = $reponse->fetchAll(PDO::FETCH_ASSOC);
			return $tableauReponse;
		}

		function Newsletter_SelectParId($idParam)
		{
			$requetePreparée = $this->monPdo->prepare('SELECT * FROM Newsletter where idUtilisateur = :idPrepare');
			$requetePreparée->bindParam('idPrepare',$idParam);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			$uneLigne = $requetePreparée->fetch(PDO::FETCH_ASSOC);
			return $uneLigne;
		}

		function Newsletter_SelectParEmail($emailParam)
		{
			$requetePreparée = $this->monPdo->prepare('SELECT * FROM Newsletter where email = :emailPrepare');
			$requetePreparée->bindParam('emailPrepare',$emailParam);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			$uneLigne = $requetePreparée->fetch(PDO::FETCH_ASSOC);
			return $uneLigne;
		}

		function Newsletter_Drop()
		{
				$req = "DROP TABLE `Newsletter`";
				$reponse = $this->monPdo->query($req );
				return $reponse;
		}

		function Newsletter_Create()
		{
				$req = "CREATE TABLE `Newsletter` (
				  `idUtilisateur` int(11) NOT NULL AUTO_INCREMENT,
				  `nom` varchar(30) NOT NULL DEFAULT 'Nom',
				  `prenom` varchar(30) NOT NULL DEFAULT 'Prenom',
				  `email` varchar(30) NOT NULL DEFAULT 'AdresseEmail',
				  PRIMARY KEY (`idUtilisateur`)
				) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;";
				$reponse = $this->monPdo->query($req );
				return $reponse;
		}

		function Newsletter_Insert($nom, $prenom, $email)
		{
			$requetePreparée = $this->monPdo->prepare('INSERT into `Newsletter` (nom,prenom,email) values (:nomAAjouter,:prenomAAjouter,:emailAAjouter)');
			$requetePreparée->bindParam('nomAAjouter',$nom);
			$requetePreparée->bindParam('prenomAAjouter',$prenom);
			$requetePreparée->bindParam('emailAAjouter',$email);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}

		function Newsletter_Delete($email)
		{
			$requetePreparée = $this->monPdo->prepare('DELETE FROM `Newsletter` WHERE email = :EmailARetirer');
			$requetePreparée->bindParam('EmailARetirer',$email);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}
	}
?>

<?php
	class PDO_NewsletterMessage
	{
		private $monPdo;
		const SERVEUR_SQL = "172.16.1.15";
		const BDD = "PUGEATPPE";
		const USER = "PUGEATPPE";
		const MDP = "ParRespectPourLesPierres";

		function __construct()
		{
			$this->monPdo = new PDO('mysql:host='.self::SERVEUR_SQL.';dbname='.self::BDD, self::USER, self::MDP);
		}

		function NewsletterMessage_SelectTout()
		{
			$reponse = $this->monPdo->query('SELECT * FROM NewsletterMessage ORDER BY idMessage DESC');
			$tableauReponse = $reponse->fetchAll(PDO::FETCH_ASSOC);
			return $tableauReponse;
		}

		function NewsletterMessage_SelectParId($idParam)
		{
			$requetePreparée = $this->monPdo->prepare('SELECT * FROM NewsletterMessage where idMessage = :idPrepare');
			$requetePreparée->bindParam('idPrepare',$idParam);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			$uneLigne = $requetePreparée->fetch(PDO::FETCH_ASSOC);
			return $uneLigne;
		}

		function NewsletterMessage_Drop()
		{
				$req = "DROP TABLE `NewsletterMessage`";
				$reponse = $this->monPdo->query($req );
				return $reponse;
		}

		function NewsletterMessage_Create()
		{
				$req = "CREATE TABLE `NewsletterMessage` (
				  `idMessage` INT(11) AUTO_INCREMENT NOT NULL,
				  `texteMessage` VARCHAR(250) NOT NULL,
				  `dateMessage` DATE NOT NULL,
				  PRIMARY KEY (`idMessage`)
				) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;";
				$reponse = $this->monPdo->query($req );
				return $reponse;
		}

		function NewsletterMessage_Insert($objet, $texte, $date)
		{
			$requetePreparée = $this->monPdo->prepare('INSERT into `NewsletterMessage` (objetMessage, texteMessage,dateMessage) values (:objetAAjouter, :texteAAjouter,:dateAAjouter)');
			$requetePreparée->bindParam('objetAAjouter',$objet);
			$requetePreparée->bindParam('texteAAjouter',$texte);
			$requetePreparée->bindParam('dateAAjouter',$date);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}

		function NewsletterMessage_Delete($idMessage)
		{
			$requetePreparée = $this->monPdo->prepare('DELETE FROM `NewsletterMessage` WHERE idMessage = :idARetirer');
			$requetePreparée->bindParam('idARetirer',$idMessage);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}
	}


	class PDO_Utilisateur
	{
		private $monPdo;
		const SERVEUR_SQL = "172.16.1.15";
		const BDD = "PUGEATPPE";
		const USER = "PUGEATPPE";
		const MDP = "ParRespectPourLesPierres";

		function __construct()
		{
			$this->monPdo = new PDO('mysql:host='.self::SERVEUR_SQL.';dbname='.self::BDD, self::USER, self::MDP);
		}

		function Utilisateur_SelectTout()
		{
			$reponse = $this->monPdo->query('SELECT * FROM Utilisateur ORDER BY idUtilisateur ASC');
			if($reponse)
			{
				$tableauReponse = $reponse->fetchAll(PDO::FETCH_ASSOC);
				return $tableauReponse;
			}
			else {
				return false;
			}
		}

		function Utilisateur_SelectParPseudo($idParam)
		{
			$requetePreparée = $this->monPdo->prepare('SELECT * FROM Utilisateur where pseudoUnique = :idPseudo;');
			$requetePreparée->bindParam('idPseudo',$idParam);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			$uneLigne = $requetePreparée->fetch(PDO::FETCH_ASSOC);
			return $uneLigne;
		}

		function Utilisateur_ChangerPseudo($id, $nouvPseudo)
		{
			$requetePreparée = $this->monPdo->prepare('UPDATE `utilisateur` SET `pseudoUnique` = :paramNouvPseudo WHERE `utilisateur`.`idUtilisateur` = :paramID;');
			$requetePreparée->bindParam('paramNouvPseudo',$nouvPseudo);
			$requetePreparée->bindParam('paramID',$id);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}

		function Utilisateur_ChangerMotDePasseHache($id, $nouvMDP)
		{
			$nouvMDPH = password_hash($nouvMDP, PASSWORD_DEFAULT);
			$requetePreparée = $this->monPdo->prepare('UPDATE `Utilisateur` SET `motDePasseHache` = :paramNouvMDPH WHERE `Utilisateur`.`idUtilisateur` = :paramID;');
			$requetePreparée->bindParam('paramNouvMDPH',$nouvMDPH);
			$requetePreparée->bindParam('paramID',$id);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}

		function Utilisateur_ChangerRole($id, $nouvRole)
		{
			$requetePreparée = $this->monPdo->prepare('UPDATE `Utilisateur` SET `role` = :paramNouvRole WHERE `Utilisateur`.`idUtilisateur` = :paramID;');
			$requetePreparée->bindParam('paramNouvRole',$nouvRole);
			$requetePreparée->bindParam('paramID',$id);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}

		function Utilisateur_Drop()
		{
				$req = "DROP TABLE `Utilisateur`";
				$reponse = $this->monPdo->query($req );
				return $reponse;
		}

		function Utilisateur_Create()
		{
				$req = "CREATE TABLE `utilisateur` (
				  `idUtilisateur` INT(11) AUTO_INCREMENT NOT NULL,
				  `pseudoUnique` TEXT NOT NULL,
				  `motDePasseHache` TEXT NOT NULL,
				  PRIMARY KEY (`idUtilisateur`)
				) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;";
				$reponse = $this->monPdo->query($req );
				return $reponse;
		}

		function Utilisateur_Insert($pseudo, $mdp, $role)
		{
			$mdph=password_hash($mdp, PASSWORD_DEFAULT);
			$requetePreparée = $this->monPdo->prepare('INSERT INTO `utilisateur` (`idUtilisateur`, `pseudoUnique`, `motDePasseHache`, `role`) VALUES (NULL, :paramPseudo, :paramMotDePasseHache, :paramRole);');
			$requetePreparée->bindParam('paramPseudo',$pseudo);
			$requetePreparée->bindParam('paramMotDePasseHache',$mdph);
			$requetePreparée->bindParam('paramRole',$role);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}

		function Utilisateur_Delete($pseudoUtilisateur)
		{
			$requetePreparée = $this->monPdo->prepare('DELETE FROM `Utilisateur` WHERE pseudoUnique = :pseudoARetirer');
			$requetePreparée->bindParam('pseudoARetirer',$pseudoUtilisateur);
			$reponse = $requetePreparée->execute(); //$reponse boolean sur l'état de la requête
			return $reponse;
		}
	}
?>
